# GroovyBasePlugin

abstract class GroovyBasePlugin : Plugin<T>

Extends org.gradle.api.plugins.JavaBasePlugin to provide support for compiling and documenting Groovy source files.

#### See also

<a href="https://docs.gradle.org/current/userguide/groovy_plugin.html">Groovy plugin reference</a>

## Constructors

GroovyBasePlugin
Link copied to clipboard
@Inject
constructor(objectFactory: ObjectFactory, moduleRegistry: ModuleRegistry, jvmPluginServices: JvmLanguageUtilities)

## Properties

GROOVY_RUNTIME_EXTENSION_NAME
Link copied to clipboard
val GROOVY_RUNTIME_EXTENSION_NAME: String = "groovyRuntime"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)